using HegreHotel.Models;
using Microsoft.Maui.Controls;
using System.IO;
using Microsoft.Maui.Storage;

namespace HegreHotel.Views
{
    public partial class ModifierClientPage : ContentPage
    {
        Client _client;
        public ModifierClientPage(Client client)
        {
            InitializeComponent();
            _client = client;
            // Préremplissage des champs
            EntryNom.Text = _client.Nom;
            EntryPrenom.Text = _client.Prenom;
            EntryEmail.Text = _client.Email;
            EntryTelephone.Text = _client.Telephone;
        }

        private async void OnEnregistrerClicked(object sender, EventArgs e)
        {
            _client.Nom = EntryNom.Text;
            _client.Prenom = EntryPrenom.Text;
            _client.Email = EntryEmail.Text;
            _client.Telephone = EntryTelephone.Text;

            string dbPath = Path.Combine(FileSystem.AppDataDirectory, "HegreHotel.db3");
            var db = SingletonConnection.GetInstance(dbPath);
            await db.UpdateAsync(_client);
            await Navigation.PopAsync();
        }
    }
}