using HegreHotel.Models;
using Microsoft.Maui.Controls;
using System.IO;
using Microsoft.Maui.Storage;

namespace HegreHotel.Views.Reservation
{
    public partial class ModifierReservationPage : ContentPage
    {
        Models.Reservation _reservation;
        public ModifierReservationPage(Models.Reservation reservation)
        {
            InitializeComponent();
            _reservation = reservation;
            // Préremplir les champs
            EntryNbInvite.Text = _reservation.NbPersonnes.ToString();
            DatePickerDebut.Date = _reservation.DateDebut;
            DatePickerFin.Date = _reservation.DateFin;
            EntryDemandeSpecifique.Text = _reservation.DemandeSpecifique;
        }

        private async void OnEnregistrerClicked(object sender, EventArgs e)
        {
            _reservation.NbPersonnes = int.TryParse(EntryNbInvite.Text, out int nb) ? nb : _reservation.NbPersonnes;
            _reservation.DateDebut = DatePickerDebut.Date;
            _reservation.DateFin = DatePickerFin.Date;
            _reservation.DemandeSpecifique = EntryDemandeSpecifique.Text;

            string dbPath = Path.Combine(FileSystem.AppDataDirectory, "HegreHotel.db3");
            var db = SingletonConnection.GetInstance(dbPath);
            await db.UpdateAsync(_reservation);
            await Navigation.PopAsync();
        }
    }
}